import {aabb3_array_intersects_sphere} from "./aabb3_array_intersects_sphere.js";

/**
 *
 * @param {number[]|Float32Array} aabb
 * @param {number[]|Float32Array} sphere [x,y,z, radius]
 * @returns {boolean}
 */
export function aabb3_array_intersects_sphere_array(aabb, sphere) {
    return aabb3_array_intersects_sphere(aabb, sphere[0], sphere[1], sphere[2], sphere[3]);
}